def from_csv(fn: str):
    mapping = {}
    with open(fn) as fp:
        for line in fp.read().splitlines():
            unicode_hex, char_index, *_ = line.split(",")
            mapping[int(char_index)] = chr(int(unicode_hex, 16))

    return mapping


if __name__ == "__main__":
    # Ref: https://git.code.sf.net/p/plplot/plplot
    # file: fonts/plhershey-unicode.csv
    print("string_to_unicode = [")
    for idx, ch in from_csv("plhershey-unicode.csv").items():
        print(rf'    (r"\\({idx:04})", "\u{ord(ch):04x}"),')
    print("]")

string_to_unicode = [
    (r"\\(0001)", "\u0041"),
    (r"\\(0002)", "\u0042"),
    (r"\\(0003)", "\u0043"),
    (r"\\(0004)", "\u0044"),
    (r"\\(0005)", "\u0045"),
    (r"\\(0006)", "\u0046"),
    (r"\\(0007)", "\u0047"),
    (r"\\(0008)", "\u0048"),
    (r"\\(0009)", "\u0049"),
    (r"\\(0010)", "\u004a"),
    (r"\\(0011)", "\u004b"),
    (r"\\(0012)", "\u004c"),
    (r"\\(0013)", "\u004d"),
    (r"\\(0014)", "\u004e"),
    (r"\\(0015)", "\u004f"),
    (r"\\(0016)", "\u0050"),
    (r"\\(0017)", "\u0051"),
    (r"\\(0018)", "\u0052"),
    (r"\\(0019)", "\u0053"),
    (r"\\(0020)", "\u0054"),
    (r"\\(0021)", "\u0055"),
    (r"\\(0022)", "\u0056"),
    (r"\\(0023)", "\u0057"),
    (r"\\(0024)", "\u0058"),
    (r"\\(0025)", "\u0059"),
    (r"\\(0026)", "\u005a"),
    (r"\\(0027)", "\u0391"),
    (r"\\(0028)", "\u0392"),
    (r"\\(0029)", "\u0393"),
    (r"\\(0030)", "\u0394"),
    (r"\\(0031)", "\u0395"),
    (r"\\(0032)", "\u0396"),
    (r"\\(0033)", "\u0397"),
    (r"\\(0034)", "\u0398"),
    (r"\\(0035)", "\u0399"),
    (r"\\(0036)", "\u039a"),
    (r"\\(0037)", "\u039b"),
    (r"\\(0038)", "\u039c"),
    (r"\\(0039)", "\u039d"),
    (r"\\(0040)", "\u039e"),
    (r"\\(0041)", "\u039f"),
    (r"\\(0042)", "\u03a0"),
    (r"\\(0043)", "\u03a1"),
    (r"\\(0044)", "\u03a3"),
    (r"\\(0045)", "\u03a4"),
    (r"\\(0046)", "\u03d2"),
    (r"\\(0047)", "\u03a6"),
    (r"\\(0048)", "\u03a7"),
    (r"\\(0049)", "\u03a8"),
    (r"\\(0050)", "\u03a9"),
    (r"\\(0051)", "\u0061"),
    (r"\\(0052)", "\u0062"),
    (r"\\(0053)", "\u0063"),
    (r"\\(0054)", "\u0064"),
    (r"\\(0055)", "\u0065"),
    (r"\\(0056)", "\u0066"),
    (r"\\(0057)", "\u0067"),
    (r"\\(0058)", "\u0068"),
    (r"\\(0059)", "\u0069"),
    (r"\\(0060)", "\u006a"),
    (r"\\(0061)", "\u006b"),
    (r"\\(0062)", "\u006c"),
    (r"\\(0063)", "\u006d"),
    (r"\\(0064)", "\u006e"),
    (r"\\(0065)", "\u006f"),
    (r"\\(0066)", "\u0070"),
    (r"\\(0067)", "\u0071"),
    (r"\\(0068)", "\u0072"),
    (r"\\(0069)", "\u0073"),
    (r"\\(0070)", "\u0074"),
    (r"\\(0071)", "\u0075"),
    (r"\\(0072)", "\u0076"),
    (r"\\(0073)", "\u0077"),
    (r"\\(0074)", "\u0078"),
    (r"\\(0075)", "\u0079"),
    (r"\\(0076)", "\u007a"),
    (r"\\(0077)", "\u03b1"),
    (r"\\(0078)", "\u03b2"),
    (r"\\(0079)", "\u03b3"),
    (r"\\(0080)", "\u03b4"),
    (r"\\(0081)", "\u03b6"),
    (r"\\(0082)", "\u03b7"),
    (r"\\(0083)", "\u03b9"),
    (r"\\(0084)", "\u03ba"),
    (r"\\(0085)", "\u03bb"),
    (r"\\(0086)", "\u03bc"),
    (r"\\(0087)", "\u03bd"),
    (r"\\(0088)", "\u03be"),
    (r"\\(0089)", "\u03bf"),
    (r"\\(0090)", "\u03c0"),
    (r"\\(0091)", "\u03c1"),
    (r"\\(0092)", "\u03c3"),
    (r"\\(0093)", "\u03c4"),
    (r"\\(0094)", "\u03c5"),
    (r"\\(0095)", "\u03c7"),
    (r"\\(0096)", "\u03c8"),
    (r"\\(0097)", "\u03c9"),
    (r"\\(0098)", "\u03f5"),
    (r"\\(0099)", "\u03b8"),
    (r"\\(0100)", "\u03d5"),
    (r"\\(0102)", "\u0030"),
    (r"\\(0103)", "\u0031"),
    (r"\\(0104)", "\u0032"),
    (r"\\(0105)", "\u0033"),
    (r"\\(0106)", "\u0034"),
    (r"\\(0107)", "\u0035"),
    (r"\\(0108)", "\u0036"),
    (r"\\(0109)", "\u0037"),
    (r"\\(0110)", "\u0038"),
    (r"\\(0111)", "\u0039"),
    (r"\\(0112)", "\u002e"),
    (r"\\(0113)", "\u002c"),
    (r"\\(0114)", "\u003a"),
    (r"\\(0115)", "\u003b"),
    (r"\\(0116)", "\u0021"),
    (r"\\(0117)", "\u003f"),
    (r"\\(0118)", "\u0027"),
    (r"\\(0119)", "\u0022"),
    (r"\\(0120)", "\u0024"),
    (r"\\(0121)", "\u002f"),
    (r"\\(0122)", "\u0028"),
    (r"\\(0123)", "\u0029"),
    (r"\\(0124)", "\u007c"),
    (r"\\(0125)", "\u2212"),
    (r"\\(0126)", "\u002b"),
    (r"\\(0127)", "\u003d"),
    (r"\\(0128)", "\u2217"),
    (r"\\(0129)", "\u0023"),
    (r"\\(0130)", "\u0026"),
    (r"\\(0132)", "\u005f"),
    (r"\\(0133)", "\u005c"),
    (r"\\(0134)", "\u005e"),
    (r"\\(0135)", "\u25cb"),
    (r"\\(0136)", "\u25a1"),
    (r"\\(0137)", "\u25b3"),
    (r"\\(0138)", "\u2662"),
    (r"\\(0139)", "\u2729"),
    (r"\\(0140)", "\u002b"),
    (r"\\(0141)", "\u00d7"),
    (r"\\(0142)", "\u2217"),
    (r"\\(0143)", "\u2022"),
    (r"\\(0144)", "\u25a0"),
    (r"\\(0145)", "\u22c6"),
    (r"\\(0146)", "\u0000"),
    (r"\\(0147)", "\u2721"),
    (r"\\(0148)", "\u22c5"),
    (r"\\(0157)", "\u005b"),
    (r"\\(0158)", "\u005d"),
    (r"\\(0159)", "\u007b"),
    (r"\\(0160)", "\u007d"),
    (r"\\(0161)", "\u003c"),
    (r"\\(0162)", "\u003e"),
    (r"\\(0163)", "\u007e"),
    (r"\\(0164)", "\u0060"),
    (r"\\(0165)", "\u2192"),
    (r"\\(0166)", "\u2191"),
    (r"\\(0167)", "\u2190"),
    (r"\\(0168)", "\u2193"),
    (r"\\(0169)", "\u0025"),
    (r"\\(0170)", "\u0040"),
    (r"\\(0171)", "\u2299"),
    (r"\\(0172)", "\u2295"),
    (r"\\(0200)", "\u0030"),
    (r"\\(0201)", "\u0031"),
    (r"\\(0202)", "\u0032"),
    (r"\\(0203)", "\u0033"),
    (r"\\(0204)", "\u0034"),
    (r"\\(0205)", "\u0035"),
    (r"\\(0206)", "\u0036"),
    (r"\\(0207)", "\u0037"),
    (r"\\(0208)", "\u0038"),
    (r"\\(0209)", "\u0039"),
    (r"\\(0210)", "\u002e"),
    (r"\\(0211)", "\u002c"),
    (r"\\(0212)", "\u003a"),
    (r"\\(0213)", "\u003b"),
    (r"\\(0214)", "\u0021"),
    (r"\\(0215)", "\u003f"),
    (r"\\(0216)", "\u0027"),
    (r"\\(0217)", "\u0022"),
    (r"\\(0218)", "\u00b0"),
    (r"\\(0219)", "\u0024"),
    (r"\\(0220)", "\u002f"),
    (r"\\(0221)", "\u0028"),
    (r"\\(0222)", "\u0029"),
    (r"\\(0223)", "\u007c"),
    (r"\\(0224)", "\u2212"),
    (r"\\(0225)", "\u002b"),
    (r"\\(0226)", "\u003d"),
    (r"\\(0227)", "\u00d7"),
    (r"\\(0228)", "\u2217"),
    (r"\\(0229)", "\u22c5"),
    (r"\\(0230)", "\u2018"),
    (r"\\(0231)", "\u2019"),
    (r"\\(0232)", "\u2192"),
    (r"\\(0233)", "\u0023"),
    (r"\\(0234)", "\u0026"),
    (r"\\(0235)", "\u0000"),
    (r"\\(0236)", "\u0040"),
    (r"\\(0238)", "\u2025"),
    (r"\\(0239)", "\u2025"),
    (r"\\(0240)", "\u0000"),
    (r"\\(0242)", "\u0000"),
    (r"\\(0248)", "\u2248"),
    (r"\\(0250)", "\u2245"),
    (r"\\(0252)", "\u21cc"),
    (r"\\(0261)", "\u00bd"),
    (r"\\(0262)", "\u2153"),
    (r"\\(0263)", "\u2159"),
    (r"\\(0264)", "\u215b"),
    (r"\\(0265)", "\u2154"),
    (r"\\(0266)", "\u215c"),
    (r"\\(0267)", "\u215d"),
    (r"\\(0268)", "\u215e"),
    (r"\\(0269)", "\u215a"),
    (r"\\(0270)", "\u00bc"),
    (r"\\(0271)", "\u00be"),
    (r"\\(0272)", "\u00a3"),
    (r"\\(0273)", "\u00ae"),
    (r"\\(0274)", "\u00a9"),
    (r"\\(0275)", "\u2262"),
    (r"\\(0276)", "\u22ef"),
    (r"\\(0278)", "\u2194"),
    (r"\\(0279)", "\u2195"),
    (r"\\(0280)", "\u2284"),
    (r"\\(0281)", "\u2285"),
    (r"\\(0282)", "\u220b"),
    (r"\\(0284)", "\u2980"),
    (r"\\(0501)", "\u0041"),
    (r"\\(0502)", "\u0042"),
    (r"\\(0503)", "\u0043"),
    (r"\\(0504)", "\u0044"),
    (r"\\(0505)", "\u0045"),
    (r"\\(0506)", "\u0046"),
    (r"\\(0507)", "\u0047"),
    (r"\\(0508)", "\u0048"),
    (r"\\(0509)", "\u0049"),
    (r"\\(0510)", "\u004a"),
    (r"\\(0511)", "\u004b"),
    (r"\\(0512)", "\u004c"),
    (r"\\(0513)", "\u004d"),
    (r"\\(0514)", "\u004e"),
    (r"\\(0515)", "\u004f"),
    (r"\\(0516)", "\u0050"),
    (r"\\(0517)", "\u0051"),
    (r"\\(0518)", "\u0052"),
    (r"\\(0519)", "\u0053"),
    (r"\\(0520)", "\u0054"),
    (r"\\(0521)", "\u0055"),
    (r"\\(0522)", "\u0056"),
    (r"\\(0523)", "\u0057"),
    (r"\\(0524)", "\u0058"),
    (r"\\(0525)", "\u0059"),
    (r"\\(0526)", "\u005a"),
    (r"\\(0527)", "\u0391"),
    (r"\\(0528)", "\u0392"),
    (r"\\(0529)", "\u0393"),
    (r"\\(0530)", "\u0394"),
    (r"\\(0531)", "\u0395"),
    (r"\\(0532)", "\u0396"),
    (r"\\(0533)", "\u0397"),
    (r"\\(0534)", "\u0398"),
    (r"\\(0535)", "\u0399"),
    (r"\\(0536)", "\u039a"),
    (r"\\(0537)", "\u039b"),
    (r"\\(0538)", "\u039c"),
    (r"\\(0539)", "\u039d"),
    (r"\\(0540)", "\u039e"),
    (r"\\(0541)", "\u039f"),
    (r"\\(0542)", "\u03a0"),
    (r"\\(0543)", "\u03a1"),
    (r"\\(0544)", "\u03a3"),
    (r"\\(0545)", "\u03a4"),
    (r"\\(0546)", "\u03d2"),
    (r"\\(0547)", "\u03a6"),
    (r"\\(0548)", "\u03a7"),
    (r"\\(0549)", "\u03a8"),
    (r"\\(0550)", "\u03a9"),
    (r"\\(0551)", "\u0041"),
    (r"\\(0552)", "\u0042"),
    (r"\\(0553)", "\u0043"),
    (r"\\(0554)", "\u0044"),
    (r"\\(0555)", "\u0045"),
    (r"\\(0556)", "\u0046"),
    (r"\\(0557)", "\u0047"),
    (r"\\(0558)", "\u0048"),
    (r"\\(0559)", "\u0049"),
    (r"\\(0560)", "\u004a"),
    (r"\\(0561)", "\u004b"),
    (r"\\(0562)", "\u004c"),
    (r"\\(0563)", "\u004d"),
    (r"\\(0564)", "\u004e"),
    (r"\\(0565)", "\u004f"),
    (r"\\(0566)", "\u0050"),
    (r"\\(0567)", "\u0051"),
    (r"\\(0568)", "\u0052"),
    (r"\\(0569)", "\u0053"),
    (r"\\(0570)", "\u0054"),
    (r"\\(0571)", "\u0055"),
    (r"\\(0572)", "\u0056"),
    (r"\\(0573)", "\u0057"),
    (r"\\(0574)", "\u0058"),
    (r"\\(0575)", "\u0059"),
    (r"\\(0576)", "\u005a"),
    (r"\\(0583)", "\u2207"),
    (r"\\(0601)", "\u0061"),
    (r"\\(0602)", "\u0062"),
    (r"\\(0603)", "\u0063"),
    (r"\\(0604)", "\u0064"),
    (r"\\(0605)", "\u0065"),
    (r"\\(0606)", "\u0066"),
    (r"\\(0607)", "\u0067"),
    (r"\\(0608)", "\u0068"),
    (r"\\(0609)", "\u0069"),
    (r"\\(0610)", "\u006a"),
    (r"\\(0611)", "\u006b"),
    (r"\\(0612)", "\u006c"),
    (r"\\(0613)", "\u006d"),
    (r"\\(0614)", "\u006e"),
    (r"\\(0615)", "\u006f"),
    (r"\\(0616)", "\u0070"),
    (r"\\(0617)", "\u0071"),
    (r"\\(0618)", "\u0072"),
    (r"\\(0619)", "\u0073"),
    (r"\\(0620)", "\u0074"),
    (r"\\(0621)", "\u0075"),
    (r"\\(0622)", "\u0076"),
    (r"\\(0623)", "\u0077"),
    (r"\\(0624)", "\u0078"),
    (r"\\(0625)", "\u0079"),
    (r"\\(0626)", "\u007a"),
    (r"\\(0627)", "\u03b1"),
    (r"\\(0628)", "\u03b2"),
    (r"\\(0629)", "\u03b3"),
    (r"\\(0630)", "\u03b4"),
    (r"\\(0631)", "\u03b5"),
    (r"\\(0632)", "\u03b6"),
    (r"\\(0633)", "\u03b7"),
    (r"\\(0634)", "\u03d1"),
    (r"\\(0635)", "\u03b9"),
    (r"\\(0636)", "\u03ba"),
    (r"\\(0637)", "\u03bb"),
    (r"\\(0638)", "\u03bc"),
    (r"\\(0639)", "\u03bd"),
    (r"\\(0640)", "\u03be"),
    (r"\\(0641)", "\u03bf"),
    (r"\\(0642)", "\u03c0"),
    (r"\\(0643)", "\u03c1"),
    (r"\\(0644)", "\u03c3"),
    (r"\\(0645)", "\u03c4"),
    (r"\\(0646)", "\u03c5"),
    (r"\\(0647)", "\u03c6"),
    (r"\\(0648)", "\u03c7"),
    (r"\\(0649)", "\u03c8"),
    (r"\\(0650)", "\u03c9"),
    (r"\\(0651)", "\u0061"),
    (r"\\(0652)", "\u0062"),
    (r"\\(0653)", "\u0063"),
    (r"\\(0654)", "\u0064"),
    (r"\\(0655)", "\u0065"),
    (r"\\(0656)", "\u0066"),
    (r"\\(0657)", "\u0067"),
    (r"\\(0658)", "\u0068"),
    (r"\\(0659)", "\u0069"),
    (r"\\(0660)", "\u006a"),
    (r"\\(0661)", "\u006b"),
    (r"\\(0662)", "\u006c"),
    (r"\\(0663)", "\u006d"),
    (r"\\(0664)", "\u006e"),
    (r"\\(0665)", "\u006f"),
    (r"\\(0666)", "\u0070"),
    (r"\\(0667)", "\u0071"),
    (r"\\(0668)", "\u0072"),
    (r"\\(0669)", "\u0073"),
    (r"\\(0670)", "\u0074"),
    (r"\\(0671)", "\u0075"),
    (r"\\(0672)", "\u0076"),
    (r"\\(0673)", "\u0077"),
    (r"\\(0674)", "\u0078"),
    (r"\\(0675)", "\u0079"),
    (r"\\(0676)", "\u007a"),
    (r"\\(0677)", "\u2113"),
    (r"\\(0683)", "\u2202"),
    (r"\\(0684)", "\u03f5"),
    (r"\\(0685)", "\u03b8"),
    (r"\\(0686)", "\u03d5"),
    (r"\\(0687)", "\u03c2"),
    (r"\\(0700)", "\u0030"),
    (r"\\(0701)", "\u0031"),
    (r"\\(0702)", "\u0032"),
    (r"\\(0703)", "\u0033"),
    (r"\\(0704)", "\u0034"),
    (r"\\(0705)", "\u0035"),
    (r"\\(0706)", "\u0036"),
    (r"\\(0707)", "\u0037"),
    (r"\\(0708)", "\u0038"),
    (r"\\(0709)", "\u0039"),
    (r"\\(0710)", "\u002e"),
    (r"\\(0711)", "\u002c"),
    (r"\\(0712)", "\u003a"),
    (r"\\(0713)", "\u003b"),
    (r"\\(0714)", "\u0021"),
    (r"\\(0715)", "\u003f"),
    (r"\\(0716)", "\u0027"),
    (r"\\(0717)", "\u0022"),
    (r"\\(0718)", "\u00b0"),
    (r"\\(0719)", "\u0024"),
    (r"\\(0720)", "\u002f"),
    (r"\\(0721)", "\u0028"),
    (r"\\(0722)", "\u0029"),
    (r"\\(0723)", "\u007c"),
    (r"\\(0724)", "\u2212"),
    (r"\\(0725)", "\u002b"),
    (r"\\(0726)", "\u003d"),
    (r"\\(0727)", "\u00d7"),
    (r"\\(0728)", "\u2217"),
    (r"\\(0729)", "\u22c5"),
    (r"\\(0730)", "\u2018"),
    (r"\\(0731)", "\u2019"),
    (r"\\(0732)", "\u2192"),
    (r"\\(0733)", "\u0023"),
    (r"\\(0734)", "\u0026"),
    (r"\\(0735)", "\u0000"),
    (r"\\(0736)", "\u0020"),
    (r"\\(0737)", "\u2225"),
    (r"\\(0738)", "\u22a5"),
    (r"\\(0739)", "\u2220"),
    (r"\\(0740)", "\u2234"),
    (r"\\(0741)", "\u2664"),
    (r"\\(0742)", "\u2661"),
    (r"\\(0743)", "\u2662"),
    (r"\\(0744)", "\u2667"),
    (r"\\(0745)", "\u0000"),
    (r"\\(0746)", "\u0000"),
    (r"\\(0750)", "\u0000"),
    (r"\\(0751)", "\u0000"),
    (r"\\(0752)", "\u0000"),
    (r"\\(0753)", "\u25b4"),
    (r"\\(0754)", "\u0000"),
    (r"\\(0755)", "\u0000"),
    (r"\\(0756)", "\u0000"),
    (r"\\(0757)", "\u0000"),
    (r"\\(0758)", "\u25e0"),
    (r"\\(0759)", "\u0000"),
    (r"\\(0760)", "\u0000"),
    (r"\\(0761)", "\u0000"),
    (r"\\(0762)", "\u0000"),
    (r"\\(0763)", "\u0000"),
    (r"\\(0764)", "\u0000"),
    (r"\\(0765)", "\u223e"),
    (r"\\(0766)", "\u221e"),
    (r"\\(0767)", "\u2608"),
    (r"\\(0768)", "\u00a7"),
    (r"\\(0795)", "\u005f"),
    (r"\\(0796)", "\u257c"),
    (r"\\(0797)", "\u2571"),
    (r"\\(0798)", "\u257d"),
    (r"\\(0799)", "\u2572"),
    (r"\\(0800)", "\u2015"),
    (r"\\(0801)", "\uff0f"),
    (r"\\(0802)", "\u002f"),
    (r"\\(0803)", "\u007c"),
    (r"\\(0804)", "\u005c"),
    (r"\\(0805)", "\uff3c"),
    (r"\\(0806)", "\u2015"),
    (r"\\(0807)", "\uff0f"),
    (r"\\(0808)", "\u007c"),
    (r"\\(0809)", "\uff3c"),
    (r"\\(0810)", "\u25dc"),
    (r"\\(0811)", "\u25df"),
    (r"\\(0812)", "\u25de"),
    (r"\\(0813)", "\u25dd"),
    (r"\\(0814)", "\u2323"),
    (r"\\(0815)", "\u0028"),
    (r"\\(0816)", "\u0029"),
    (r"\\(0817)", "\u2322"),
    (r"\\(0818)", "\u0000"),
    (r"\\(0819)", "\u223f"),
    (r"\\(0820)", "\u0000"),
    (r"\\(0821)", "\u0000"),
    (r"\\(0822)", "\u0000"),
    (r"\\(0823)", "\u221d"),
    (r"\\(0824)", "\u0000"),
    (r"\\(0825)", "\u0000"),
    (r"\\(0826)", "\u0000"),
    (r"\\(0827)", "\u0000"),
    (r"\\(0828)", "\u22c5"),
    (r"\\(0829)", "\u0000"),
    (r"\\(0830)", "\u0000"),
    (r"\\(0831)", "\u0000"),
    (r"\\(0832)", "\u005e"),
    (r"\\(0833)", "\u0000"),
    (r"\\(0834)", "\u0000"),
    (r"\\(0840)", "\u25cb"),
    (r"\\(0841)", "\u25a1"),
    (r"\\(0842)", "\u25b3"),
    (r"\\(0843)", "\u2662"),
    (r"\\(0844)", "\u2729"),
    (r"\\(0845)", "\u002b"),
    (r"\\(0846)", "\u00d7"),
    (r"\\(0847)", "\u2217"),
    (r"\\(0850)", "\u2022"),
    (r"\\(0851)", "\u25a0"),
    (r"\\(0852)", "\u25b2"),
    (r"\\(0853)", "\u25c0"),
    (r"\\(0854)", "\u25bc"),
    (r"\\(0855)", "\u25b6"),
    (r"\\(0856)", "\u22c6"),
    (r"\\(0857)", "\u21be"),
    (r"\\(0860)", "\u0000"),
    (r"\\(0861)", "\u0000"),
    (r"\\(0862)", "\u0000"),
    (r"\\(0863)", "\u0000"),
    (r"\\(0864)", "\u0000"),
    (r"\\(0865)", "\u0000"),
    (r"\\(0866)", "\u0000"),
    (r"\\(0867)", "\u263e"),
    (r"\\(0868)", "\u2721"),
    (r"\\(0869)", "\u0000"),
    (r"\\(0870)", "\u0000"),
    (r"\\(0871)", "\u0000"),
    (r"\\(0872)", "\u0000"),
    (r"\\(0873)", "\u0000"),
    (r"\\(0874)", "\u0000"),
    (r"\\(0899)", "\u22c5"),
    (r"\\(0900)", "\u0000"),
    (r"\\(0901)", "\u0000"),
    (r"\\(0902)", "\u0000"),
    (r"\\(0903)", "\u0000"),
    (r"\\(0904)", "\u0000"),
    (r"\\(0905)", "\u0000"),
    (r"\\(0906)", "\u0000"),
    (r"\\(0907)", "\u0000"),
    (r"\\(0908)", "\u0000"),
    (r"\\(0909)", "\u0000"),
    (r"\\(0910)", "\u00a2"),
    (r"\\(0911)", "\u0000"),
    (r"\\(2001)", "\u0041"),
    (r"\\(2002)", "\u0042"),
    (r"\\(2003)", "\u0043"),
    (r"\\(2004)", "\u0044"),
    (r"\\(2005)", "\u0045"),
    (r"\\(2006)", "\u0046"),
    (r"\\(2007)", "\u0047"),
    (r"\\(2008)", "\u0048"),
    (r"\\(2009)", "\u0049"),
    (r"\\(2010)", "\u004a"),
    (r"\\(2011)", "\u004b"),
    (r"\\(2012)", "\u004c"),
    (r"\\(2013)", "\u004d"),
    (r"\\(2014)", "\u004e"),
    (r"\\(2015)", "\u004f"),
    (r"\\(2016)", "\u0050"),
    (r"\\(2017)", "\u0051"),
    (r"\\(2018)", "\u0052"),
    (r"\\(2019)", "\u0053"),
    (r"\\(2020)", "\u0054"),
    (r"\\(2021)", "\u0055"),
    (r"\\(2022)", "\u0056"),
    (r"\\(2023)", "\u0057"),
    (r"\\(2024)", "\u0058"),
    (r"\\(2025)", "\u0059"),
    (r"\\(2026)", "\u005a"),
    (r"\\(2027)", "\u0391"),
    (r"\\(2028)", "\u0392"),
    (r"\\(2029)", "\u0393"),
    (r"\\(2030)", "\u0394"),
    (r"\\(2031)", "\u0395"),
    (r"\\(2032)", "\u0396"),
    (r"\\(2033)", "\u0397"),
    (r"\\(2034)", "\u0398"),
    (r"\\(2035)", "\u0399"),
    (r"\\(2036)", "\u039a"),
    (r"\\(2037)", "\u039b"),
    (r"\\(2038)", "\u039c"),
    (r"\\(2039)", "\u039d"),
    (r"\\(2040)", "\u039e"),
    (r"\\(2041)", "\u039f"),
    (r"\\(2042)", "\u03a0"),
    (r"\\(2043)", "\u03a1"),
    (r"\\(2044)", "\u03a3"),
    (r"\\(2045)", "\u03a4"),
    (r"\\(2046)", "\u03d2"),
    (r"\\(2047)", "\u03a6"),
    (r"\\(2048)", "\u03a7"),
    (r"\\(2049)", "\u03a8"),
    (r"\\(2050)", "\u03a9"),
    (r"\\(2051)", "\u0041"),
    (r"\\(2052)", "\u0042"),
    (r"\\(2053)", "\u0043"),
    (r"\\(2054)", "\u0044"),
    (r"\\(2055)", "\u0045"),
    (r"\\(2056)", "\u0046"),
    (r"\\(2057)", "\u0047"),
    (r"\\(2058)", "\u0048"),
    (r"\\(2059)", "\u0049"),
    (r"\\(2060)", "\u004a"),
    (r"\\(2061)", "\u004b"),
    (r"\\(2062)", "\u004c"),
    (r"\\(2063)", "\u004d"),
    (r"\\(2064)", "\u004e"),
    (r"\\(2065)", "\u004f"),
    (r"\\(2066)", "\u0050"),
    (r"\\(2067)", "\u0051"),
    (r"\\(2068)", "\u0052"),
    (r"\\(2069)", "\u0053"),
    (r"\\(2070)", "\u0054"),
    (r"\\(2071)", "\u0055"),
    (r"\\(2072)", "\u0056"),
    (r"\\(2073)", "\u0057"),
    (r"\\(2074)", "\u0058"),
    (r"\\(2075)", "\u0059"),
    (r"\\(2076)", "\u005a"),
    (r"\\(2077)", "\u03f0"),
    (r"\\(2101)", "\u0061"),
    (r"\\(2102)", "\u0062"),
    (r"\\(2103)", "\u0063"),
    (r"\\(2104)", "\u0064"),
    (r"\\(2105)", "\u0065"),
    (r"\\(2106)", "\u0066"),
    (r"\\(2107)", "\u0067"),
    (r"\\(2108)", "\u0068"),
    (r"\\(2109)", "\u0069"),
    (r"\\(2110)", "\u006a"),
    (r"\\(2111)", "\u006b"),
    (r"\\(2112)", "\u006c"),
    (r"\\(2113)", "\u006d"),
    (r"\\(2114)", "\u006e"),
    (r"\\(2115)", "\u006f"),
    (r"\\(2116)", "\u0070"),
    (r"\\(2117)", "\u0071"),
    (r"\\(2118)", "\u0072"),
    (r"\\(2119)", "\u0073"),
    (r"\\(2120)", "\u0074"),
    (r"\\(2121)", "\u0075"),
    (r"\\(2122)", "\u0076"),
    (r"\\(2123)", "\u0077"),
    (r"\\(2124)", "\u0078"),
    (r"\\(2125)", "\u0079"),
    (r"\\(2126)", "\u007a"),
    (r"\\(2127)", "\u03b1"),
    (r"\\(2128)", "\u03b2"),
    (r"\\(2129)", "\u03b3"),
    (r"\\(2130)", "\u03b4"),
    (r"\\(2131)", "\u03b5"),
    (r"\\(2132)", "\u03b6"),
    (r"\\(2133)", "\u03b7"),
    (r"\\(2134)", "\u03d1"),
    (r"\\(2135)", "\u03b9"),
    (r"\\(2136)", "\u03ba"),
    (r"\\(2137)", "\u03bb"),
    (r"\\(2138)", "\u03bc"),
    (r"\\(2139)", "\u03bd"),
    (r"\\(2140)", "\u03be"),
    (r"\\(2141)", "\u03bf"),
    (r"\\(2142)", "\u03c0"),
    (r"\\(2143)", "\u03c1"),
    (r"\\(2144)", "\u03c3"),
    (r"\\(2145)", "\u03c4"),
    (r"\\(2146)", "\u03c5"),
    (r"\\(2147)", "\u03c6"),
    (r"\\(2148)", "\u03c7"),
    (r"\\(2149)", "\u03c8"),
    (r"\\(2150)", "\u03c9"),
    (r"\\(2151)", "\u0061"),
    (r"\\(2152)", "\u0062"),
    (r"\\(2153)", "\u0063"),
    (r"\\(2154)", "\u0064"),
    (r"\\(2155)", "\u0065"),
    (r"\\(2156)", "\u0066"),
    (r"\\(2157)", "\u0067"),
    (r"\\(2158)", "\u0068"),
    (r"\\(2159)", "\u0069"),
    (r"\\(2160)", "\u006a"),
    (r"\\(2161)", "\u006b"),
    (r"\\(2162)", "\u006c"),
    (r"\\(2163)", "\u006d"),
    (r"\\(2164)", "\u006e"),
    (r"\\(2165)", "\u006f"),
    (r"\\(2166)", "\u0070"),
    (r"\\(2167)", "\u0071"),
    (r"\\(2168)", "\u0072"),
    (r"\\(2169)", "\u0073"),
    (r"\\(2170)", "\u0074"),
    (r"\\(2171)", "\u0075"),
    (r"\\(2172)", "\u0076"),
    (r"\\(2173)", "\u0077"),
    (r"\\(2174)", "\u0078"),
    (r"\\(2175)", "\u0079"),
    (r"\\(2176)", "\u007a"),
    (r"\\(2177)", "\u0000"),
    (r"\\(2178)", "\ufb01"),
    (r"\\(2179)", "\ufb02"),
    (r"\\(2180)", "\u0000"),
    (r"\\(2181)", "\u0000"),
    (r"\\(2182)", "\u0000"),
    (r"\\(2184)", "\u03f5"),
    (r"\\(2185)", "\u03b8"),
    (r"\\(2186)", "\u03d5"),
    (r"\\(2187)", "\u03c2"),
    (r"\\(2190)", "\u0000"),
    (r"\\(2191)", "\u0000"),
    (r"\\(2192)", "\ufb01"),
    (r"\\(2193)", "\ufb02"),
    (r"\\(2194)", "\u0000"),
    (r"\\(2195)", "\u0000"),
    (r"\\(2196)", "\u0000"),
    (r"\\(2200)", "\u0030"),
    (r"\\(2201)", "\u0031"),
    (r"\\(2202)", "\u0032"),
    (r"\\(2203)", "\u0033"),
    (r"\\(2204)", "\u0034"),
    (r"\\(2205)", "\u0035"),
    (r"\\(2206)", "\u0036"),
    (r"\\(2207)", "\u0037"),
    (r"\\(2208)", "\u0038"),
    (r"\\(2209)", "\u0039"),
    (r"\\(2210)", "\u002e"),
    (r"\\(2211)", "\u002c"),
    (r"\\(2212)", "\u003a"),
    (r"\\(2213)", "\u003b"),
    (r"\\(2214)", "\u0021"),
    (r"\\(2215)", "\u003f"),
    (r"\\(2216)", "\u0027"),
    (r"\\(2217)", "\u0022"),
    (r"\\(2218)", "\u00b0"),
    (r"\\(2219)", "\u2217"),
    (r"\\(2220)", "\u002f"),
    (r"\\(2221)", "\u0028"),
    (r"\\(2222)", "\u0029"),
    (r"\\(2223)", "\u005b"),
    (r"\\(2224)", "\u005d"),
    (r"\\(2225)", "\u007b"),
    (r"\\(2226)", "\u007d"),
    (r"\\(2227)", "\u2329"),
    (r"\\(2228)", "\u232a"),
    (r"\\(2229)", "\u007c"),
    (r"\\(2230)", "\u2225"),
    (r"\\(2231)", "\u2212"),
    (r"\\(2232)", "\u002b"),
    (r"\\(2233)", "\u00b1"),
    (r"\\(2234)", "\u2213"),
    (r"\\(2235)", "\u00d7"),
    (r"\\(2236)", "\u22c5"),
    (r"\\(2237)", "\u00f7"),
    (r"\\(2238)", "\u003d"),
    (r"\\(2239)", "\u2260"),
    (r"\\(2240)", "\u2261"),
    (r"\\(2241)", "\u003c"),
    (r"\\(2242)", "\u003e"),
    (r"\\(2243)", "\u2266"),
    (r"\\(2244)", "\u2267"),
    (r"\\(2245)", "\u221d"),
    (r"\\(2246)", "\u007e"),
    (r"\\(2247)", "\u0000"),
    (r"\\(2248)", "\u00b4"),
    (r"\\(2249)", "\u0060"),
    (r"\\(2250)", "\u0000"),
    (r"\\(2251)", "\u0000"),
    (r"\\(2252)", "\u0000"),
    (r"\\(2253)", "\u0000"),
    (r"\\(2254)", "\u0000"),
    (r"\\(2255)", "\u221a"),
    (r"\\(2256)", "\u2282"),
    (r"\\(2257)", "\u22c3"),
    (r"\\(2258)", "\u2283"),
    (r"\\(2259)", "\u22c2"),
    (r"\\(2260)", "\u220a"),
    (r"\\(2261)", "\u2192"),
    (r"\\(2262)", "\u2191"),
    (r"\\(2263)", "\u2190"),
    (r"\\(2264)", "\u2193"),
    (r"\\(2265)", "\u2202"),
    (r"\\(2266)", "\u2207"),
    (r"\\(2267)", "\u221a"),
    (r"\\(2268)", "\u222b"),
    (r"\\(2269)", "\u222e"),
    (r"\\(2270)", "\u221e"),
    (r"\\(2271)", "\u0025"),
    (r"\\(2272)", "\u0026"),
    (r"\\(2273)", "\u0040"),
    (r"\\(2274)", "\u0024"),
    (r"\\(2275)", "\u0023"),
    (r"\\(2276)", "\u00a7"),
    (r"\\(2277)", "\u2020"),
    (r"\\(2278)", "\u2021"),
    (r"\\(2279)", "\u2203"),
    (r"\\(2281)", "\u2299"),
    (r"\\(2282)", "\u263f"),
    (r"\\(2283)", "\u2640"),
    (r"\\(2284)", "\u2295"),
    (r"\\(2285)", "\u2642"),
    (r"\\(2286)", "\u2643"),
    (r"\\(2287)", "\u2644"),
    (r"\\(2288)", "\u2645"),
    (r"\\(2289)", "\u2646"),
    (r"\\(2290)", "\u2647"),
    (r"\\(2291)", "\u263e"),
    (r"\\(2292)", "\u2604"),
    (r"\\(2293)", "\u2605"),
    (r"\\(2294)", "\u260a"),
    (r"\\(2295)", "\u260b"),
    (r"\\(2296)", "\u2197"),
    (r"\\(2297)", "\u2199"),
    (r"\\(2298)", "\u2196"),
    (r"\\(2299)", "\u2198"),
    (r"\\(2301)", "\u2648"),
    (r"\\(2302)", "\u2649"),
    (r"\\(2303)", "\u264a"),
    (r"\\(2304)", "\u264b"),
    (r"\\(2305)", "\u260a"),
    (r"\\(2306)", "\u264d"),
    (r"\\(2307)", "\u264e"),
    (r"\\(2308)", "\u264f"),
    (r"\\(2309)", "\u2650"),
    (r"\\(2310)", "\u2651"),
    (r"\\(2311)", "\u2652"),
    (r"\\(2312)", "\u2653"),
    (r"\\(2317)", "\u22c5"),
    (r"\\(2318)", "\u0000"),
    (r"\\(2319)", "\u0000"),
    (r"\\(2320)", "\u1d15d"),
    (r"\\(2321)", "\u1d157"),
    (r"\\(2322)", "\u1d158"),
    (r"\\(2323)", "\u266f"),
    (r"\\(2324)", "\u266e"),
    (r"\\(2325)", "\u266d"),
    (r"\\(2326)", "\u1d13b"),
    (r"\\(2327)", "\u1d13c"),
    (r"\\(2328)", "\u1d13d"),
    (r"\\(2329)", "\u1d13e"),
    (r"\\(2330)", "\u1d11e"),
    (r"\\(2331)", "\u1d122"),
    (r"\\(2332)", "\u1d121"),
    (r"\\(2363)", "\u0000"),
    (r"\\(2364)", "\u0000"),
    (r"\\(2365)", "\u0000"),
    (r"\\(2366)", "\u0000"),
    (r"\\(2367)", "\u22c5"),
    (r"\\(2368)", "\u0000"),
    (r"\\(2369)", "\u0000"),
    (r"\\(2370)", "\u1d15d"),
    (r"\\(2371)", "\u1d157"),
    (r"\\(2372)", "\u1d158"),
    (r"\\(2373)", "\u266f"),
    (r"\\(2374)", "\u266e"),
    (r"\\(2375)", "\u266d"),
    (r"\\(2376)", "\u1d13b"),
    (r"\\(2377)", "\u1d13c"),
    (r"\\(2378)", "\u1d13d"),
    (r"\\(2379)", "\u1d13e"),
    (r"\\(2380)", "\u1d11e"),
    (r"\\(2381)", "\u1d122"),
    (r"\\(2382)", "\u1d121"),
    (r"\\(2401)", "\u220f"),
    (r"\\(2402)", "\u2211"),
    (r"\\(2403)", "\u0028"),
    (r"\\(2404)", "\u0029"),
    (r"\\(2405)", "\u005b"),
    (r"\\(2406)", "\u005d"),
    (r"\\(2407)", "\u007b"),
    (r"\\(2408)", "\u007d"),
    (r"\\(2409)", "\u23b0"),
    (r"\\(2410)", "\u23b1"),
    (r"\\(2411)", "\u221a"),
    (r"\\(2412)", "\u222b"),
    (r"\\(2501)", "\u0041"),
    (r"\\(2502)", "\u0042"),
    (r"\\(2503)", "\u0043"),
    (r"\\(2504)", "\u0044"),
    (r"\\(2505)", "\u0045"),
    (r"\\(2506)", "\u0046"),
    (r"\\(2507)", "\u0047"),
    (r"\\(2508)", "\u0048"),
    (r"\\(2509)", "\u0049"),
    (r"\\(2510)", "\u004a"),
    (r"\\(2511)", "\u004b"),
    (r"\\(2512)", "\u004c"),
    (r"\\(2513)", "\u004d"),
    (r"\\(2514)", "\u004e"),
    (r"\\(2515)", "\u004f"),
    (r"\\(2516)", "\u0050"),
    (r"\\(2517)", "\u0051"),
    (r"\\(2518)", "\u0052"),
    (r"\\(2519)", "\u0053"),
    (r"\\(2520)", "\u0054"),
    (r"\\(2521)", "\u0055"),
    (r"\\(2522)", "\u0056"),
    (r"\\(2523)", "\u0057"),
    (r"\\(2524)", "\u0058"),
    (r"\\(2525)", "\u0059"),
    (r"\\(2526)", "\u005a"),
    (r"\\(2551)", "\u0041"),
    (r"\\(2552)", "\u0042"),
    (r"\\(2553)", "\u0043"),
    (r"\\(2554)", "\u0044"),
    (r"\\(2555)", "\u0045"),
    (r"\\(2556)", "\u0046"),
    (r"\\(2557)", "\u0047"),
    (r"\\(2558)", "\u0048"),
    (r"\\(2559)", "\u0049"),
    (r"\\(2560)", "\u004a"),
    (r"\\(2561)", "\u004b"),
    (r"\\(2562)", "\u004c"),
    (r"\\(2563)", "\u004d"),
    (r"\\(2564)", "\u004e"),
    (r"\\(2565)", "\u004f"),
    (r"\\(2566)", "\u0050"),
    (r"\\(2567)", "\u0051"),
    (r"\\(2568)", "\u0052"),
    (r"\\(2569)", "\u0053"),
    (r"\\(2570)", "\u0054"),
    (r"\\(2571)", "\u0055"),
    (r"\\(2572)", "\u0056"),
    (r"\\(2573)", "\u0057"),
    (r"\\(2574)", "\u0058"),
    (r"\\(2575)", "\u0059"),
    (r"\\(2576)", "\u005a"),
    (r"\\(2601)", "\u0061"),
    (r"\\(2602)", "\u0062"),
    (r"\\(2603)", "\u0063"),
    (r"\\(2604)", "\u0064"),
    (r"\\(2605)", "\u0065"),
    (r"\\(2606)", "\u0066"),
    (r"\\(2607)", "\u0067"),
    (r"\\(2608)", "\u0068"),
    (r"\\(2609)", "\u0069"),
    (r"\\(2610)", "\u006a"),
    (r"\\(2611)", "\u006b"),
    (r"\\(2612)", "\u006c"),
    (r"\\(2613)", "\u006d"),
    (r"\\(2614)", "\u006e"),
    (r"\\(2615)", "\u006f"),
    (r"\\(2616)", "\u0070"),
    (r"\\(2617)", "\u0071"),
    (r"\\(2618)", "\u0072"),
    (r"\\(2619)", "\u0073"),
    (r"\\(2620)", "\u0074"),
    (r"\\(2621)", "\u0075"),
    (r"\\(2622)", "\u0076"),
    (r"\\(2623)", "\u0077"),
    (r"\\(2624)", "\u0078"),
    (r"\\(2625)", "\u0079"),
    (r"\\(2626)", "\u007a"),
    (r"\\(2628)", "\u0000"),
    (r"\\(2651)", "\u0061"),
    (r"\\(2652)", "\u0062"),
    (r"\\(2653)", "\u0063"),
    (r"\\(2654)", "\u0064"),
    (r"\\(2655)", "\u0065"),
    (r"\\(2656)", "\u0066"),
    (r"\\(2657)", "\u0067"),
    (r"\\(2658)", "\u0068"),
    (r"\\(2659)", "\u0069"),
    (r"\\(2660)", "\u006a"),
    (r"\\(2661)", "\u006b"),
    (r"\\(2662)", "\u006c"),
    (r"\\(2663)", "\u006d"),
    (r"\\(2664)", "\u006e"),
    (r"\\(2665)", "\u006f"),
    (r"\\(2666)", "\u0070"),
    (r"\\(2667)", "\u0071"),
    (r"\\(2668)", "\u0072"),
    (r"\\(2669)", "\u0073"),
    (r"\\(2670)", "\u0074"),
    (r"\\(2671)", "\u0075"),
    (r"\\(2672)", "\u0076"),
    (r"\\(2673)", "\u0077"),
    (r"\\(2674)", "\u0078"),
    (r"\\(2675)", "\u0079"),
    (r"\\(2676)", "\u007a"),
    (r"\\(2700)", "\u0030"),
    (r"\\(2701)", "\u0031"),
    (r"\\(2702)", "\u0032"),
    (r"\\(2703)", "\u0033"),
    (r"\\(2704)", "\u0034"),
    (r"\\(2705)", "\u0035"),
    (r"\\(2706)", "\u0036"),
    (r"\\(2707)", "\u0037"),
    (r"\\(2708)", "\u0038"),
    (r"\\(2709)", "\u0039"),
    (r"\\(2710)", "\u002e"),
    (r"\\(2711)", "\u002c"),
    (r"\\(2712)", "\u003a"),
    (r"\\(2713)", "\u003b"),
    (r"\\(2714)", "\u0021"),
    (r"\\(2715)", "\u003f"),
    (r"\\(2716)", "\u2018"),
    (r"\\(2717)", "\u2019"),
    (r"\\(2718)", "\u0026"),
    (r"\\(2719)", "\u0024"),
    (r"\\(2720)", "\u002f"),
    (r"\\(2721)", "\u0028"),
    (r"\\(2722)", "\u0029"),
    (r"\\(2723)", "\u2217"),
    (r"\\(2724)", "\u2212"),
    (r"\\(2725)", "\u002b"),
    (r"\\(2726)", "\u003d"),
    (r"\\(2727)", "\u0027"),
    (r"\\(2728)", "\u0022"),
    (r"\\(2729)", "\u00b0"),
    (r"\\(2750)", "\u0030"),
    (r"\\(2751)", "\u0031"),
    (r"\\(2752)", "\u0032"),
    (r"\\(2753)", "\u0033"),
    (r"\\(2754)", "\u0034"),
    (r"\\(2755)", "\u0035"),
    (r"\\(2756)", "\u0036"),
    (r"\\(2757)", "\u0037"),
    (r"\\(2758)", "\u0038"),
    (r"\\(2759)", "\u0039"),
    (r"\\(2760)", "\u002e"),
    (r"\\(2761)", "\u002c"),
    (r"\\(2762)", "\u003a"),
    (r"\\(2763)", "\u003b"),
    (r"\\(2764)", "\u0021"),
    (r"\\(2765)", "\u003f"),
    (r"\\(2766)", "\u0000"),
    (r"\\(2767)", "\u0000"),
    (r"\\(2768)", "\u0026"),
    (r"\\(2769)", "\u0024"),
    (r"\\(2770)", "\u002f"),
    (r"\\(2771)", "\u0028"),
    (r"\\(2772)", "\u0029"),
    (r"\\(2773)", "\u2217"),
    (r"\\(2774)", "\u2212"),
    (r"\\(2775)", "\u002b"),
    (r"\\(2776)", "\u003d"),
    (r"\\(2777)", "\u0027"),
    (r"\\(2778)", "\u0022"),
    (r"\\(2779)", "\u00b0"),
    (r"\\(2801)", "\u0410"),
    (r"\\(2802)", "\u0411"),
    (r"\\(2803)", "\u0412"),
    (r"\\(2804)", "\u0413"),
    (r"\\(2805)", "\u0414"),
    (r"\\(2806)", "\u0415"),
    (r"\\(2807)", "\u0416"),
    (r"\\(2808)", "\u0417"),
    (r"\\(2809)", "\u0418"),
    (r"\\(2810)", "\u0419"),
    (r"\\(2811)", "\u041a"),
    (r"\\(2812)", "\u041b"),
    (r"\\(2813)", "\u041c"),
    (r"\\(2814)", "\u041d"),
    (r"\\(2815)", "\u041e"),
    (r"\\(2816)", "\u041f"),
    (r"\\(2817)", "\u0420"),
    (r"\\(2818)", "\u0421"),
    (r"\\(2819)", "\u0422"),
    (r"\\(2820)", "\u0423"),
    (r"\\(2821)", "\u0424"),
    (r"\\(2822)", "\u0425"),
    (r"\\(2823)", "\u0426"),
    (r"\\(2824)", "\u0427"),
    (r"\\(2825)", "\u0428"),
    (r"\\(2826)", "\u0429"),
    (r"\\(2827)", "\u042a"),
    (r"\\(2828)", "\u042b"),
    (r"\\(2829)", "\u042c"),
    (r"\\(2830)", "\u042d"),
    (r"\\(2831)", "\u042e"),
    (r"\\(2832)", "\u042f"),
    (r"\\(2901)", "\u0430"),
    (r"\\(2902)", "\u0431"),
    (r"\\(2903)", "\u0432"),
    (r"\\(2904)", "\u0433"),
    (r"\\(2905)", "\u0434"),
    (r"\\(2906)", "\u0435"),
    (r"\\(2907)", "\u0436"),
    (r"\\(2908)", "\u0437"),
    (r"\\(2909)", "\u0438"),
    (r"\\(2910)", "\u0439"),
    (r"\\(2911)", "\u043a"),
    (r"\\(2912)", "\u043b"),
    (r"\\(2913)", "\u043c"),
    (r"\\(2914)", "\u043d"),
    (r"\\(2915)", "\u043e"),
    (r"\\(2916)", "\u043f"),
    (r"\\(2917)", "\u0440"),
    (r"\\(2918)", "\u0441"),
    (r"\\(2919)", "\u0442"),
    (r"\\(2920)", "\u0443"),
    (r"\\(2921)", "\u0444"),
    (r"\\(2922)", "\u0445"),
    (r"\\(2923)", "\u0446"),
    (r"\\(2924)", "\u0447"),
    (r"\\(2925)", "\u0448"),
    (r"\\(2926)", "\u0449"),
    (r"\\(2927)", "\u044a"),
    (r"\\(2928)", "\u044b"),
    (r"\\(2929)", "\u044c"),
    (r"\\(2930)", "\u044d"),
    (r"\\(2931)", "\u044e"),
    (r"\\(2932)", "\u044f"),
]
